/* Spcification : moyenne_liste.c
   Auteurs       : Enseignants du projet C
   Version       : 1.0
   Programme principal
*/

#include <stdio.h>
#include <stdlib.h>
#include "liste.h"
#include "stats.h"
#include "stats_listes.h"

int main(int argc, char *argv[])
{
	int value;     /*rcupration des valeurs*/
	
	int size  = 0; /*taille de la liste*/
	liste *l;      /*la liste */
	float mean;    /*la moyenne*/

	(void) argc;
	(void) argv;

	fprintf(stdout,"Veuillez saisir une liste d'entiers positifs\n");
	fprintf(stdout, "Sortie : -1\n");

	/*Initialisation de la liste*/
	l = init_liste();

	scanf("%d", &value);
	if(value == -1){
		return 1;
	}
	while(value != -1){
		insere_tete(value,l);
		size++;
		scanf("%d", &value);
	}

	/*Affichage de la moyenne*/
	mean = stat_listes_moyenne(l);
	fprintf(stdout, "La moyenne de la liste est : %f\n", mean);

	return 0;
}

