/* Spcification : stats_listes.h
   Auteurs       : Enseignants du projet C
   Version       : 1.0
   Permet de grer des statistiques sur une liste d'entiers
   de donnes fourni par l'utilisateur
*/

#ifndef _STATS_LISTES_H_
#define _STATS_LISTES_H_

#include "liste.h"

/* Accs au minimum de la liste
   Renvoie le minimum
   Prcondition : l'ensemble a t initialis via stat_init();
*/
int stat_listes_min(const liste* const l);

/* Accs au maximum de la liste
   Renvoie le maximum
   Prcondition : l'ensemble a t initialis via stat_init();
*/
int stat_listes_max(const liste* const l);

/* Accs  la moyenne de la liste
   Renvoie la moyenne
   Prcondition : l'ensemble a t initialis via stat_init();
*/
float stat_listes_moyenne(const liste* const l);

#endif
